
QGIS Application - Bug report #17457

QGIS freezes when removing joined data

2017-11-14 12:32 PM - Solution s

Status: Closed

Priority: High

Assignee:

Category: Attribute table

Affected QGIS version:2.18.14 Regression?: No

Operating System: Windows 7 Enterprise 32 bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 25354

Description

QGIS freezes forever (leaved the PC on overnight with sleep disabled, still frozen. Had to force close. Did the same thing today, had to

force close again.) if you do the following:

    -  Make a join with two or more layers.

        -  What i did was went into properties for a polygon point layer, then joined with a imported .csv datafile. Only under ~3000 features

processed here, under 100kb data.

    -  Open the attribute table (new window)

    -  Remove columns/fields, or just the entire joined table. 

    -  QGIS freezes. This could be because something is failing when QGIS is updating the attribute table shown.

History

#1 - 2017-11-14 12:33 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from Normal to High

Please attach sample project/data. Thanks!

#2 - 2017-11-15 11:34 AM - Solution s

Followed this guide, tested with the attached data sets (no csvt file though): http://www.qgistutorials.com/en/docs/performing_table_joins.html

Couldn't reproduce the error. Unfortunately I can't attach the whole original dataset, as it contains secret data.

Perhaps it's an issue with point layers?

#3 - 2017-11-15 11:36 AM - Giovanni Manghi

Thorvald S wrote:

Followed this guide, tested with the attached data sets (no csvt file though): http://www.qgistutorials.com/en/docs/performing_table_joins.html

Couldn't reproduce the error. Unfortunately I can't attach the whole original dataset, as it contains secret data.

Perhaps it's an issue with point layers?
so you can only replicate with your dataset?

#4 - 2017-11-15 11:46 AM - Solution s

Yes, but the one I just tested with was a polygon layer.

#5 - 2017-11-15 11:47 AM - Giovanni Manghi

Thorvald S wrote:

Yes, but the one I just tested with was a polygon layer.

is difficult for us to get to the bottom of the problem if we can't replicate, could

you build a dataset (with fake data) that shows the issue?

#6 - 2017-11-15 01:19 PM - Solution s

Tested with a small 3 feature point layer, couldn't reproduce.

Not able to reproduce at the moment with my original data, but also tried with less joined data. Perhaps it's only an issue when QGIS is rendering huge

amounts of data in the attribute window, and a overflow happens.

#7 - 2017-11-15 03:02 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Thorvald S wrote:

Tested with a small 3 feature point layer, couldn't reproduce.

Not able to reproduce at the moment with my original data, but also tried with less joined data. Perhaps it's only an issue when QGIS is rendering

huge amounts of data in the attribute window, and a overflow happens.

Please reopen where you find a clear way to replicate the problem.
